webdevqa.jp.net

AWS CLIをインストールしようとすると、ステップで立ち往生

Macコマンドラインにawsをインストールしようとしていますが、何をする必要があるのか​​理解できません。ターミナルにwgetを使用してawsバンドルをインストールし、解凍するとすべてが完了しましたが、資格情報を設定する必要があるときに何も表示されません。 awsを設定します。

手順は次のとおりです。 http://docs.aws.Amazon.com/cli/latest/userguide/cli-chap-getting-set-up.html これが出力されるものです

an$ aws configuration
Traceback (most recent call last):
  File "/usr/local/bin/aws", line 15, in <module>
    import awscli.clidriver
  File "/usr/local/aws/lib/python2.7/site-packages/awscli/clidriver.py", line 31, in <module>
    from awscli.help import ProviderHelpCommand
  File "/usr/local/aws/lib/python2.7/site-packages/awscli/help.py", line 20, in <module>
    from docutils.core import publish_string
  File "/usr/local/aws/lib/python2.7/site-packages/docutils/core.py", line 20, in <module>
    from docutils import frontend, io, utils, readers, writers
  File "/usr/local/aws/lib/python2.7/site-packages/docutils/frontend.py", line 41, in <module>
    import docutils.utils
  File "/usr/local/aws/lib/python2.7/site-packages/docutils/utils/__init__.py", line 20, in <module>
    import docutils.io
  File "/usr/local/aws/lib/python2.7/site-packages/docutils/io.py", line 18, in <module>
    from docutils.utils.error_reporting import locale_encoding, ErrorString, ErrorOutput
  File "/usr/local/aws/lib/python2.7/site-packages/docutils/utils/error_reporting.py", line 47, in <module>
    locale_encoding = locale.getlocale()[1] or locale.getdefaultlocale()[1]
  File "/usr/local/aws/lib/python2.7/locale.py", line 511, in getdefaultlocale
    return _parse_localename(localename)
  File "/usr/local/aws/lib/python2.7/locale.py", line 443, in _parse_localename
    raise ValueError, 'unknown locale: %s' % localename
ValueError: unknown locale: UTF-8

何か案は_?

26
David Mendienta

以下の行を~/.bash_profileに追加してみてください:

export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
66
slayedbylucifer

WindowsマシンへのAWSCLIのインストール

Windows 10(64ビット)でも同様の問題がありました。 Python 3.5およびPython 2.7がPCにインストールされています。ImportError: No module named awscli.clidriverを取得していました。

次に、%USERPROFILE%\AppData\Roaming\Python\Python35\Scriptsを環境パス変数に追加し、Python 2.7を環境パス変数から削除しました。これで、awscliを正常に使用できます。

このGithubリポジトリにAWSCLIインストールガイドを段階的に作成しました: https://github.com/arsho/installation/tree/master/awscli_installation

4
arsho

私の場合は何もうまくいきませんでした、さらに権限を与えるまで、ルート以外のユーザーでawsコマンドを実行します

chown amzadm.root  /usr/bin/aws
chown amzadm.root -R /usr/lib/python2.6/site-packages/
chown amzadm.root -R /usr/lib/python2.6/site-packages/awscli/
1
Xoroz

EKSがサポートされているバージョンをインストールする必要があり、sixを無視して動作させることになりました。

$ pip3 install awscli --ignore-installed six
1
Albert Park

この仕事は私にとって。 /.barshrcファイル

export AWS_DEFAULT_OUTPUT="json"
0
陳黑弟

これを修正するには、インポートの直前に「aws」スクリプトに行を追加しました(19行目)。したがって、ファイルは次のようになります。

sys.path.append('/Users/<username>/.local/lib/aws/lib/python2.7/site-packages/')
import awscli.clidriver
0
userG